% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllGenerics.R, R/cluster2pattern.R
\docType{methods}
\name{cluster2pattern}
\alias{cluster2pattern}
\alias{cluster2pattern,kmeans-method}
\alias{cluster2pattern,hclust-method}
\title{Generic cluster2pattern function}
\usage{
cluster2pattern(clusters, NP, Data, ...)

\S4method{cluster2pattern}{kmeans}(clusters, Data)

\S4method{cluster2pattern}{hclust}(clusters, NP, Data = NA)
}
\arguments{
\item{clusters}{a cluster object which could be either an hclust or a kmeans object}

\item{NP}{number of desired patterns}

\item{Data}{data used to make clusters object}

\item{...}{Additional arguments to cluster2pattern}
}
\value{
An object of class pclust containing pattern weights corresponding for each cluster.
}
\description{
Function to make patterns of continuous weights from clusters.
}
\examples{
k.RNAseq6l3c3t<-kmeans(p.RNAseq6l3c3t,22)
cluster2pattern(clusters=k.RNAseq6l3c3t,NP=22,Data=p.RNAseq6l3c3t)

distp <- dist(p.RNAseq6l3c3t)
hc.RNAseq6l3c3t <- hclust(distp)
cluster2pattern(clusters=hc.RNAseq6l3c3t,NP=22,Data=p.RNAseq6l3c3t)
}
